shishi_safe_user_data(3)

NAME
shishi_safe_user_data - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_user_data(Shishi * handle, Shishi_asn1 safe, char ** userdata, size_t * userdatalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 safe
    safe as allocated by shishi_safe().

char ** userdata
    output array with newly allocated user data from KRB-SAFE.

size_t * userdatalen
    output size of output user data buffer.

DESCRIPTION
Read user data value from KRB-SAFE. userdata is allocated by this function, and it is the responsibility of caller to deallocate it.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.